
/*====================================================================
                           2020
====================================================================*/

*Usuario 1
import delimited "${raw}\2020\conjuntos_de_datos\tr_endutih_usuario_anual_2020.csv", encoding(UTF-8) clear
isid upm viv_sel hogar num_ren
save "${raw}\2020\usuario_computer.dta", replace

*Usuario 2
import delimited "${raw}\2020\conjuntos_de_datos\tr_endutih_usuario2_anual_2020.csv", encoding(UTF-8) clear
save "${raw}\2020\usuario_cellphone.dta", replace

*Vivienda
import delimited "${raw}\2020\conjuntos_de_datos\tr_endutih_vivienda_anual_2020.csv", encoding(UTF-8) clear 
isid upm viv_sel 
save "${raw}\2020\vivienda.dta", replace

*Hogar 
import delimited "${raw}\2020\conjuntos_de_datos\tr_endutih_hogar_anual_2020.csv", encoding(UTF-8) clear
isid upm viv_sel hogar
*gen id hogar
egen id_hogar=concat( upm viv_sel hogar), punct(-)
isid id_hogar
save "${raw}\2020\hogar.dta", replace

*Residentes
import delimited "${raw}\2020\conjuntos_de_datos\tr_endutih_residente_anual_2020.csv", encoding(UTF-8)  clear
isid upm viv_sel hogar num_ren
save "${raw}\2020\residentes.dta", replace


*Merge database
*Viviendas
use "${raw}\2020\vivienda.dta", clear
*Residentes
merge 1:n upm viv_sel  using "${raw}\2020\residentes.dta"
drop _merge
*Hogares
merge n:1 upm viv_sel hogar using "${raw}\2020\hogar.dta"
drop _merge
*usuarios 1
merge 1:n upm viv_sel hogar num_ren using "${raw}\2020\usuario_computer.dta"
drop _merge
*usuario 2
merge 1:n upm viv_sel hogar num_ren using "${raw}\2020\usuario_cellphone.dta"
drop _merge

save "${data}\ENDUTIH_2020.dta", replace


/*====================================================================
                             2018
====================================================================*/

clear
*Transfor data excel un stata
*Usuario (only usuario)

import delimited "${raw}\2018\conjunto_de_datos\tr_endutih_usuario_anual_2018.csv", encoding(UTF-8) clear
isid upm viv_sel hogar num_ren
save "${raw}\2018\usuario.dta", replace

*Vivienda
import delimited "${raw}\2018\conjunto_de_datos\tr_endutih_vivienda_anual_2018.csv", encoding(UTF-8) clear
isid upm viv_sel 
save "${raw}\2018\vivienda.dta", replace

*Hogar 
import delimited "${raw}\2018\conjunto_de_datos\tr_endutih_hogar_anual_2018.csv", encoding(UTF-8) clear
isid upm viv_sel hogar
* gen id hogar
egen id_hogar=concat( upm viv_sel hogar), punct(-)
isid id_hogar
save "${raw}\2018\hogar.dta", replace

*Residentes
import delimited "${raw}\2018\conjunto_de_datos\tr_endutih_residente_anual_2018.csv", encoding(UTF-8)  clear
isid upm viv_sel hogar num_ren
save "${raw}\2018\residentes.dta", replace

*Merge database
*Viviendas
use "${raw}\2018\vivienda.dta", clear
*Residentes
merge 1:n upm viv_sel  using "${raw}\2018\residentes.dta"
drop _merge
*Hogares
merge n:1 upm viv_sel hogar using "${raw}\2018\hogar.dta"
drop _merge
*usuario 2
merge 1:n upm viv_sel hogar num_ren using "${raw}\2018\usuario.dta"

drop _merge

save "${data}\ENDUTIH_2018.dta", replace


/*====================================================================
                             2017
====================================================================*/


*usuario 
import delimited "${raw}\2017\conjunto_de_datos\tr_usuario.csv", encoding(UTF-8) clear
isid upm viv_sel hogar n_ren
save "${raw}\2017\usuario.dta", replace

*Vivienda
import delimited "${raw}\2017\conjunto_de_datos\tr_vivienda.csv", encoding(UTF-8) clear
isid upm viv_sel 
save "${raw}\2017\vivienda.dta", replace

*Hogar 
import delimited "${raw}\2017\conjunto_de_datos\tr_hogar.csv", encoding(UTF-8) clear
isid upm viv_sel hogar
* gen id hogar
egen id_hogar=concat( upm viv_sel hogar), punct(-)
isid id_hogar
save "${raw}\2017\hogar.dta", replace

*Residentes
import delimited "${raw}\2017\conjunto_de_datos\tr_residente.csv", encoding(UTF-8)  clear
isid upm viv_sel hogar n_ren
save "${raw}\2017\residentes.dta", replace

*Merge database
*Viviendas
use "${raw}\2017\vivienda.dta", clear
*Residentes
merge 1:n upm viv_sel  using "${raw}\2017\residentes.dta"
drop _merge
*Hogares
merge n:1 upm viv_sel hogar using "${raw}\2017\hogar.dta"
drop _merge
*usuario 2
merge 1:n upm viv_sel hogar n_ren using "${raw}\2017\usuario.dta"
drop _merge

save "${data}\ENDUTIH_2017.dta", replace