
use "$data\ENDUTIH_2020_final.dta", clear

/*====================================================================
*Table 2
====================================================================*/


*Table 2  [Multinomial logit coefficients]
putexcel set "$output\results.xlsx", sheet("multinomial back") modify


*Female
mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4    ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly  [w=fac_per] if mujer==1, base(1)   nolog

matrix A= r(table)'
putexcel C3=matrix(A)


*Male
mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4    ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly  [w=fac_per] if mujer==0, base(1)   nolog

matrix B= r(table)'
putexcel O3=matrix(B)



/*====================================================================
*Table 3
====================================================================*/


*Table 3 [Marginal effects (average discrete change)]

putexcel set "$output\results.xlsx", sheet("prob table back") modify

*Female

quiet mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4    ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly  [w=fac_per] if mujer==1, base(1)   nolog

mchange, amount(sd) brief width(8)

matrix C=r(table)
putexcel C3=matrix(C)

*Male

quiet mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4    ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly  [w=fac_per] if mujer==0, base(1)   nolog

mchange, amount(sd) brief width(8)

matrix D=r(table)
putexcel O3=matrix(D)


 
 /*====================================================================
*Figure 2 [outputs are exported to the excel results.xlsx]
====================================================================*/
 
*Input for Figure 2 [Predicted Probabilities across education conditional on the age of children at home]

putexcel set "$output\results.xlsx", sheet("input Figure 2 back") modify

*Female

quiet mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4    ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly  [w=fac_per] if mujer==1, base(1)   nolog


**High School [edu_2]

mtable, atmeans noci norownumbers at(edu_2=0 hkids_under_2=1 ) at(edu_2=0 hkids_3_6=1  ) at(edu_2=0 hkids_7_15=1 ) at(edu_2=1 hkids_under_2=1 )  at(edu_2=1 hkids_3_6=1 ) at(edu_2=1 hkids_7_15=1 )

matrix E=r(table)
putexcel C3=matrix(E)

*Certificate/Diploma [edu_3]

mtable, atmeans noci norownumbers at(edu_3=0 hkids_under_2=1 ) at(edu_3=0 hkids_3_6=1 )  at(edu_3=0 hkids_7_15=1 ) at(edu_3=1 hkids_under_2=1 ) at(edu_3=1 hkids_3_6=1 )  at(edu_3=1 hkids_7_15=1 )

matrix F=r(table)
putexcel C12=matrix(F)

*College or more [edu_4]

mtable, atmeans noci norownumbers at(edu_4=0 hkids_under_2=1 ) at(edu_4=0 hkids_3_6=1 ) at(edu_4=0 hkids_7_15=1 ) at(edu_4=1 hkids_under_2=1 )  at(edu_4=1 hkids_3_6=1 )  at(edu_4=1 hkids_7_15=1 )

matrix G=r(table)
putexcel C21=matrix(G)


*Male

quiet mlogit  dependiente age_20_24  age_25_29 age_30_34 age_35_39 age_40_44 age_45_49 edu_2 edu_3 edu_4    ses_low ses_mlow ses_hlow partner_married hkids_under_2   hkids_3_6  hkids_7_15 zone elderly  [w=fac_per] if mujer==0, base(1)   nolog

**High School [edu_2]

mtable, atmeans noci norownumbers at(edu_2=0 hkids_under_2=1 ) at(edu_2=0 hkids_3_6=1  ) at(edu_2=0 hkids_7_15=1 ) at(edu_2=1 hkids_under_2=1 )  at(edu_2=1 hkids_3_6=1 ) at(edu_2=1 hkids_7_15=1 )

matrix H=r(table)
putexcel P3=matrix(H)

*Certificate/Diploma [edu_3]

mtable, atmeans noci norownumbers at(edu_3=0 hkids_under_2=1 ) at(edu_3=0 hkids_3_6=1 )  at(edu_3=0 hkids_7_15=1 ) at(edu_3=1 hkids_under_2=1 ) at(edu_3=1 hkids_3_6=1 )  at(edu_3=1 hkids_7_15=1 )

matrix I=r(table)
putexcel P12=matrix(I)

*College or more [edu_4]

mtable, atmeans noci norownumbers at(edu_4=0 hkids_under_2=1 ) at(edu_4=0 hkids_3_6=1 ) at(edu_4=0 hkids_7_15=1 ) at(edu_4=1 hkids_under_2=1 )  at(edu_4=1 hkids_3_6=1 )  at(edu_4=1 hkids_7_15=1 )

matrix J=r(table)
putexcel P21=matrix(J)



