

use "$data\ENDUTIH_2020_final.dta", clear
 
*FEMALE

putexcel set "$output\results.xlsx", sheet("demo-6 self men women back") modify

*age 

matrix M=J(1,5,.)

forvalues i=1/7 {
tab  age dependiente  [w=fac_per] if mujer==1 & age ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+2
putexcel D`cell'=matrix(M) 	
}

*educacion

matrix M=J(1,5,.)

forvalues i=1/4 {
tab  education dependiente  [w=fac_per] if mujer==1 & education ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+11
putexcel D`cell'=matrix(M) 	
}


*Socioconomic 

matrix M=J(1,5,.)

forvalues i=1/4 {
tab  ses dependiente  [w=fac_per] if mujer==1 & ses ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+17
putexcel D`cell'=matrix(M) 	
}

*Partner or Married 

matrix M=J(1,5,.)

forvalues i=1/1{
tab  partner_married dependiente  [w=fac_per] if mujer==1 & partner_married ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+22
putexcel D`cell'=matrix(M) 	
}

*Age of kids

matrix M=J(1,5,.)

forvalues i=1/4 {
tab  n_kids dependiente  [w=fac_per] if mujer==1 & n_kids ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+24
putexcel D`cell'=matrix(M) 	
}

*Rural

matrix M=J(1,5,.)

forvalues i=1/1 {
tab  zone dependiente  [w=fac_per] if mujer==1 & zone ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+29
putexcel D`cell'=matrix(M) 	
}


*Presence of person over 75 years old or disable

matrix M=J(1,5,.)

forvalues i=1/1 {
tab  elderly dependiente  [w=fac_per] if mujer==1 & elderly ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+30
putexcel D`cell'=matrix(M) 	
}

*Sample
tab dependiente [w=fac_per] if mujer==1, matcell(samplef_w)
matrix S=J(1,5,.)
matrix S=samplef_w'
putexcel D33=matrix(S)


*MALE

*age 

matrix M=J(1,5,.)

forvalues i=1/7 {
tab  age dependiente  [w=fac_per] if mujer==0 & age ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+2
putexcel Q`cell'=matrix(M) 	
}

*educacion

matrix M=J(1,5,.)

forvalues i=1/4 {
tab  education dependiente  [w=fac_per] if mujer==0 & education ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+11
putexcel Q`cell'=matrix(M) 	
}


*Socioconomic 

matrix M=J(1,5,.)

forvalues i=1/4 {
tab  ses dependiente  [w=fac_per] if mujer==0 & ses ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+17
putexcel Q`cell'=matrix(M) 	
}

*Partner or Married 

matrix M=J(1,5,.)

forvalues i=1/1{
tab  partner_married dependiente  [w=fac_per] if mujer==0 & partner_married ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+22
putexcel Q`cell'=matrix(M) 	
}

*Age of kids

matrix M=J(1,5,.)

forvalues i=1/4 {
tab  n_kids dependiente  [w=fac_per] if mujer==0 & n_kids ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+24
putexcel Q`cell'=matrix(M) 	
}

*Rural

matrix M=J(1,5,.)

forvalues i=1/1 {
tab  zone dependiente  [w=fac_per] if mujer==0 & zone ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+29
putexcel Q`cell'=matrix(M) 	
}


*Presence of person over 75 years old or disable

matrix M=J(1,5,.)

forvalues i=1/1 {
tab  elderly dependiente  [w=fac_per] if mujer==0 & elderly ==`i', cell matcell(frequency)
forvalues j= 1/5 {
matrix M[1,`j']= frequency[1,`j']
}
local cell = `i'+30
putexcel Q`cell'=matrix(M) 	
}

*Sample
tab dependiente [w=fac_per] if mujer==0, matcell(samplef_w)
matrix S=J(1,5,.)
matrix S=samplef_w'
putexcel Q33=matrix(S)





