/*************************************************************
* TELEWORKING MASTER DO-FILE
**************************************************************/
	clear all
	macro drop _all
	set more off

/*************************************************************
Part 1: Setting Directories
**************************************************************/

global path       "C:\WBG\github\RR_MEX_2024_160 - Copy\Reproducibility Package"
global dofile     "$path\do"   // do file path
global data       "$path\dta"   // data path
global raw        "$path\dta\raw"  //raw data path
global output     "$path\output"   // output path
global ado        "$path\ado"     // ado files path



/*************************************************************
Part 1: Run necessary ado files
**************************************************************/	
	
// sysdir set PERSONAL "$ado"
	
sysdir set PLUS "$ado"
set varabbrev on

//install mchange
//search spost13 ado
/*************************************************************
Part 2: Prepare forlder paths and define programs
**************************************************************/	


include  "$dofile\append_data.do"
    *generates the datasets for 2020, 2018 and 2017 using raw datasets
	*saves ENDUTIH_2020.dta, 

include "$dofile\cleaning_teleworking.do"
	* uses ENDUTIH_2020.dta
	* saves ENDUTIH_2020_final.dta, ENDUTIH_2018.dta,ENDUTIH_2017.dta
	
include "$dofile\summarystatistics.do"						
	* generates summary statistics
	* uses ENDUTIH_2020_final.dta
	* output results.xlsx  [Table 1]

include "$dofile\results.do"
	* uses ENDUTIH_2020_final.dta
	* output results.xlsx [Table 2] [Table 3] [Inputs for Figure 2]

	
include "$dofile\results1.do"	
	*run cleaning_data_2017.do and cleaning_data_2018.do 
	*output results.xlsx [Table 4][Inputs for Figure 3]

	
shell "$output\results.xlsx"  // shows excel with results
